# class KFontDialog | A font selection dialog. More...
Definition | `#include <kfontdialog.h>`
Inherits | KDialogBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFontDialog ( QWidget *parent = 0L, const char *name = 0, bool onlyFixed = false, bool modal = false, const QStringList &fontlist = QStringList(), bool makeFrame = true )
- void setFont ( const QFont &font, bool onlyFixed = false )
- QFont font () const
- void setCharset ( const QString & charset )
- QString charset () const

#### Signals

- void fontSelected ( const QFont &font )

#### Public Static Methods

- static int getFont ( QFont &theFont, bool onlyFixed = false, QWidget *parent = 0L, bool makeFrame = true )
- static int getFontAndText ( QFont &theFont, QString &theString, bool onlyFixed = false, QWidget *parent = 0L, bool makeFrame = true )

#### Protected Members

- KFontChooser *chooser

## Detailed Description

The KFontDialog provides a dialog for interactive font selection. It is basically a thin wrapper around the KFontChooser widget, which can also be used standalone. In most cases, the simplest use of this class is the static method KFontDialog::getFont(), which pops up the dialog, allows the user to select a font, and returns when the dialog is closed.

Example:

          QFont myFont;
          int result = KFontDialog::getFont( myFont );
          if ( result == KFontDialog::Accepted )
                ...

KFontDialog ( QWidget *parent = 0L, const char *name = 0, bool onlyFixed = false, bool modal = false, const QStringList &fontlist = QStringList(), bool makeFrame = true ) | ### KFontDialog

Constructs a font selection dialog.

Parameters:

parent | The parent widget of the dialog, if any.
name | The name of the dialog.
modal | Specifies whether the dialog is modal or not.
onlyFixed | only display fonts which have fixed-width character sizes.
fontlist | a list of fonts to display, in XLFD format. If no list is formatted, the internal KDE font list is used. If that has not been created, X is queried, and all fonts available on the system are displayed.
makeFrame | Draws a frame with titles around the contents.

void setFont ( const QFont &font, bool onlyFixed = false ) | ### setFont

Sets the currently selected font in the dialog.

Parameters:

font | The font to select.
onlyFixed | readjust the font list to display only fixed width fonts if true, or vice-versa

QFont font () | ### font

[const]

Returns: The currently selected font in the dialog.

void setCharset ( const QString & charset ) | ### setCharset

Sets the currently selected charset in the dialog.

QString charset () | ### charset

[const]

Returns: The currently selected charset in the dialog.

int getFont ( QFont &theFont, bool onlyFixed = false, QWidget *parent = 0L, bool makeFrame = true ) | ### getFont

[static]

Creates a modal font dialog, lets the user choose a font, and returns when the dialog is closed.

Parameters:

theFont | a reference to the font to write the chosen font into.
onlyFixed | if true, only select from fixed-width fonts.
parent | Parent widget of the dialog. Specifying a widget different from 0 (Null) improves centering (looks better).
makeFrame | Draws a frame with titles around the contents.

Returns: QDialog::result().

int getFontAndText ( QFont &theFont, QString &theString, bool onlyFixed = false, QWidget *parent = 0L, bool makeFrame = true ) | ### getFontAndText

[static]

When you are not only interested in the font selected, but also in the example string typed in, you can call this method.

Parameters:

theFont | a reference to the font to write the chosen font into.
theString | a reference to the example text that was typed.
onlyFixed | if true, only select from fixed-width fonts.
parent | Parent widget of the dialog. Specifying a widget different from 0 (Null) improves centering (looks better).
makeFrame | Draws a frame with titles around the contents.

Returns: The result of the dialog.

void fontSelected ( const QFont &font ) | ### fontSelected

[signal]

Emitted whenever the currently selected font changes. Connect to this to monitor the font as it is selected if you are not running modal.

KFontChooser * chooser | ### chooser

[protected]

- Version: $Id: kfontdialog.h,v 1.38 2000/09/25 13:45:17 faure Exp $
- Author: Preston Brown <pbrown@kde.org>, Bernd Wuebben <wuebben@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.